0.221 2020-05-19
----------------

MAMEUI Changes:

- Multipart software items will be loaded correctly via "SW Items".
- Stability adjustments
- NewUI: If a multipart item had been loaded through MESSUI / MAMEUI / command-line, you can choose to load the other parts as needed
- NewUI: If a software-list item is loaded, you can view the usage (loading instructions), step by step as you work through the procedure.


MAME Testers Bugs Fixed
-----------------------
- 07560: [Crash/Freeze] (cave.cpp) hotdogst: Using debugger memdump command causes MAME to crash. (O. Galibert)
- 07603: [Documentation] (snes.cpp) snes [asterix]: Release year does not match title screen. (ArcadeShadow)
- 07615: [Documentation] (cninja.cpp) mutantf, mutantf2, mutantf3, mutantf4, deathbrd: Release years are incorrect. (jkburks)
- 07616: [Sound] (segas32.cpp) radr, radrj, radru: Sounds are incorrect. (Arzeno Fabrice)
- 07617: [Graphics] (rungun.cpp) rungun: Sprites are offset vertically. [sjy96525]


New working machines
--------------------
Anime Champ (GCA07 VER. JAA) [Windy Fairy, smf]
Computer Chess (Conic, model 7012) [hap, bataais]
CXG Systems / White & Allcock Sensor Computachess [hap, Sean Riddle]
Denver (GMP-270CMK2) (Family Sport 200-in-1) [TeamEurope, David Haywood]
Electronic Master Mind (Parker Brothers) [hap, Sean Riddle]
Electroplay Quickfire [hap, Sean Riddle]
Entex Select-A-Game Machine [hap]
Fidelity Electronics Bridge Challenger [hap, Sean Riddle]
Game & Watch: Snoopy (Panorama Screen) [algestam, Ryan Holtz]
Goori Goori [Miso Kim, David Haywood]
Great Bishi Bashi Champ (GBA48 VER. JAB) [Windy Fairy, smf]
Gulun.Pa! (Japan 931220 L) (prototype) [lydz, Arcade-Projects]
JAKKS Pacific Inc / Child Guidance / Pronto Games Thomas & Friends - Learning Circus Express (Sharp Cookie) (PAL, UK)
  [Sean Riddle, David Haywood]
JAKKS Pacific Inc / Namco / HotGen Ltd Ms. Pac-Man 7-in-1 (Wireless) (Ms. Pac-Man, Pole Position, Galaga, Xevious, Mappy,
  New Rally X, Bosconian) (18 AUG 2004 A)
  [Sean Riddle, David Haywood]
SciSys Executive Chess [hap, Sean Riddle]
SciSys Sensor Chess [hap, bataais]
Senario Double Dance Mania - Techno Light Edition [Seam Riddle, David Haywood, Peter Wilhelmsen, anonymous]
Senario Guitar Super Star: You Take The Stage [David Haywood, Sean Riddle, Peter Wilhelmsen, anonymous]
Shenzhen Soyin Electric Appliance Ind. Co., Ltd. Dance 2000 / Hot 2000 (Jin Bao TV Dancing Carpet, SY-2000-04)
  [Sean Riddle, David Haywood]
Sony NWS-3260 [Patrick Mackinlay, Plamen Mihaylov]
Speed Race (Seletron / Olympia) [hap, f205v]
Spider-Man Super TV Air Jet (Lexibook Junior, JG6000SP) [TeamEurope]
Super Space Invader 2 (Entex, black version) [hap]
Tandy Corporation Sound Effects Chassis [hap, Kevin Horton]
Tech2Go / WayForward Teenage Mutant Ninja Turtles: Battle for the City [Sean Riddle, Kamaal Brown]


New working clones
------------------
Big Run (11th Rallye version, US?) [system11, CoolFox]
Cobra-Command (Japan, bootleg) [f205v]
CXG Systems / Newcrest Technology Portachess (1985 version) [hap, Sean Riddle]
DoDonPachi Dai-Ou-Jou (Japan, 2002.04.05 Master Ver, location test) [ShouTime]
Final Fight (bootleg with single OKI) [hammy, Boge, rtw, ekorz]
Front Line (AA1, 4 PCB version) [Joe Magiera, The Dumping Union]
G.I. Joe (US, UAA) [NeTaXe]
Galaxy X (bootleg of Galaxian) [Andrew Welburn]
Gun.Smoke (Germany, censored) [Saigononindou, Victor Fernandez (City Game), Jacinto Lozano]
HP 86B Opt 001 [F.Ulivi]
HP 86B Opt 004 [F.Ulivi]
Jumping Break (set 2) [Kevin Eshbach]
Jurassic 99 (Cadillacs and Dinosaurs bootleg with EM78P447AP) [TwistedTom]
Koutetsu Yousai Strahl (Japan, bootleg) [hammy, ekorz, rtw, kuze, E.M.G]
The Mah-jong (Japan, set 2) [ShouTime]
Metal Slug 5 (bootleg) [TwistedTom]
Mighty Monkey (U.Games bootleg) [f205v]
Moon Cresta (Nichibutsu USA, encrypted) [pacman70, Asayuki]
Pang! 3 (bootleg, set 3) [TwistedTom]
Perfect Billiard (bootleg) [f205v]
Pro Tennis (Japan) [ShouTime
Raiden Fighters 2 - Operation Hell Dive (Switzerland) [nnap]
Route 16 (Sun Electronics) [Guru]
Senario Guitar Super Star (red 'Gibson Flying V' style) [Sean Riddle, David Haywood, Peter Wilhelmsen, anonymous]
Space Invaders Part II (Taito, smaller ROMs) [PokeMAME]
Street Fighter II: The World Warrior (World 910411) [fluxcore]
Super Contra (set 2) [Victor Fernandez (City Game), ClawGrip]
T.A.N.K (bootleg, 8-way joystick) [Guru]
Touchmaster 5000 (v7.11 U.K.) [Muddymusic, Porchy, The Dumping Union]
Turbo (encrypted, program 1363-1365 rev C) [Digimon]
Vanguard (Germany) [Paul Swan]
Warriors of Fate (bootleg) [TwistedTom]
Warriors of Fate (bootleg with PIC16C57) [hammy, ekorz, rtw]
X-Men (4 Players ver UEB) [Joe Magiera, The Dumping Union]


Machines promoted to working
----------------------------
Crazy Kong (Gakken) [hap]
Lady Gum [Dirk Best]
Luxor Datorer AB ABC 802 [Curt Coder]
Milton Bradley Microvision [hap]
Professor Trivia (set 1) [Dirk Best, Ivan Vangelista]


Clones promoted to working
--------------------------
Atom (bootleg of Bombjack Twin) [Ivan Vangelista]
Professor Trivia (set 2) [Dirk Best, Ivan Vangelista]
Sangokushi II (bootleg) [TwistedTom]


New machines marked as NOT_WORKING
----------------------------------
Bandai Go! Go! Connie-chan! Asobou Mouse [Sean Riddle, David Haywood, Peter Wilhelmsen, gamehistory.org, anonymous]
Carol Vorderman's Sudoku Plug & Play TV Game (All in 1 / Play Vision) [Sean Riddle, David Haywood]
EuroPlay 2001 [Juan Romero, ClawGrip]
Happy Skill (Italy, V611IT) [caius, The Dumping Union]
JAKKS Pacific Inc / Handheld Games Ultimotion - Disney Fairies Sleeping Beauty & TinkerBell (JAKKS Pacific TV Game)
  [Sean Riddle, David Haywood, Peter Wilhelmsen, anonymous]
JAKKS Pacific Inc / HotGen Ltd Hannah Montana G2 Deluxe / High School Musical G2 Deluxe 2-in-1 (JAKKS Pacific TV Game)
  [Sean Riddle, David Haywood, Peter Wilhelmsen, anonymous]
JAKKS Pacific Inc / HotGen Ltd Sing Scene Pop (JAKKS Pacific TV Game) [Sean Riddle, David Haywood, Kev (FBN)]
LeapFrog Didj [David Haywood]
Master's Fury [Miso Kim, David Haywood]
Montana Super Draw (4436-05, U5-0) [Brian Troha, The Dumping Union]
Pacman BALL (PMB2 Ver.A.) [Muddymusic, Porchy]
Roland JV-880 Multi Timbral Synthesizer Module [DBWBP]
Roland MC-300 Micro Composer [DBWBP]
Roland MC-50 Micro Composer [DBWBP]
Roland MC-50mkII Micro Composer [DBWBP]
Roland RA-30 Realtime Arranger [DBWBP]
Roland S-10 Digital Sampling Keyboard [DBWBP]
Roland S-220 Digital Sampler [DBWBP]
Roland S-50 Digital Sampling Keyboard [DBWBP]
Roland SoundCanvas SC-88VL [DBWBP]
Roland U-20 RS-PCM Keyboard [DBWBP]
Roland U-220 RS-PCM Sound Module [DBWBP]
Roland W-30 Music Workstation [DBWBP]
Saitek Kasparov Galileo [hap, Berger]
Saitek Kasparov Renaissance (set 1) [hap, Berger]
SciSys Kasparov Leonardo (set 1) [hap, Berger]
Scorpion DX [ArcadeHacker, ClawGrip, Rampa, Recreativas.org]
Sony NWS-1580 [Bitsavers, Patrick Mackinlay]
TV Station (VTech, Spain) [Sean Riddle, ClawGrip]
unknown Recreativos Franco slot machine [jordigahan]
Yamaha TX81Z FM Tone Generator [DBWBP]


New clones marked as NOT_WORKING
--------------------------------
Alligator Hunt (protected, prototype?) [jordigahan, Heckler]
Crazy Bonus 2002 (Ver. 1, set 3) [Ioannis Bampoulas]
Frantic Fred (Release 2) [Brian Troha, The Dumping Union]
Mario Kart Arcade GP (Japan, MKA1 Ver.C, update) [xuserv]
NCR Class 3433 [rfka01]
Olivetti Prodest PC 1 [Carl, rfka01]
Roland MKS-100 Digital Sampler [DBWBP]
Roland S-550 Digital Sampler [DBWBP]
Saitek Kasparov Renaissance (set 2) [hap, Berger]
Samsung Deskmaster 286-12 [rfka01]
Schneider Rundfunkwerke AG Euro AT [rfka01]
SciSys Kasparov Leonardo (set 2) [hap, Berger]
Siemens PG 750 [rfka01]
Siemens PG-750 486 EISA [rfka01]
Striker Xtreme (1.00) [PinMAME]
Zenith Data Systems Z-248 [rfka01]


New working software list additions
-----------------------------------
apple2_flop_clcracked:
  The Latin Hangman (Revision 1004) (cleanly cracked), The Sea Voyagers (cleanly cracked),
  The Wreck of the BSM Pandora (cleanly cracked) [4am, Firehawke]
  Minerals of North Dakota (Version 1.0) (cleanly cracked),
  North Dakota Cities With Population 500 and Above (Version 1.0) (cleanly cracked),
  North Dakota Cities with Population Under 500 (Version 1.0) (cleanly cracked),
  North Dakota Counties (Version 1.0) (cleanly cracked), North Dakota Explorers (Version 1.0) (cleanly cracked),
  North Dakota Indian Tribes (Version 1.0) (cleanly cracked),
  North Dakota Parks and Historical Sites (Version 1.0) (cleanly cracked), North Dakota Plants (Version 1.0) (cleanly cracked),
  North Dakota Pride (Version 1.0) (cleanly cracked), North Dakota Symbols (Version 1.0) (cleanly cracked),
  North Dakota U.S. Senators and Representatives (Version 1.0) (cleanly cracked),
  North Dakota Wildlife (Version 1.0) (cleanly cracked), Notable People of North Dakota (Version 1.0) (cleanly cracked)
  [Frank Cifaldi, 4am, Firehawke]
apple2_flop_orig:
  816/Paint (Version 3.1), ABM, Alien Munchies, Aliens, The Bard's Tale III: The Thief of Fate, Crosscountry California,
  Hobgoblin's Revenge, John Madden Football, Kampfgruppe (Version 1.0), Lady Tut, The Latin Hangman (Revision 1004),
  Merlin's Castle, Meteoroids in Space, Microbe, Mines of Titan, Super Huey, Terrapin Logo Plus (Version 1.1),
  Tink!Tonk! Tonk in the Land of the Buddy-Bots, Typhoon of Steel (Version 1.0), Who Stole Cinderella's Slipper? (Version 2.0),
  Wild West Math Level 4, Will O The Wisp [4am, Firehawke]
bbcm_cart: Master Smart Cartridge v2 [Nigel Barnes]
c64_cass:
  Alice in Videoland, Boulder Dash 4, Collapse, Gemini Wing, Grandmaster Chess, The Greed Monster, Hacker II, Head Over Heels,
  James Pond 2: RoboCod, Kettle, Master Chess, Micro Rhythm, Midnight Resistance, Pulse Warrior, Realm, Summer Camp, Tetris
  [c64tapes.org, Zoe Blade]
cgenie_cass: BaengBaeng - 2 player gun fight, Colour-Assembler NE555 timer chip information and calculator [Juergen Buchmueller]
dai_cass: De Acrobaten (NL) [Robbbert]
entex_sag:
  Baseball 4, Pinball [hap]
  Football 4 [hap, Sean Riddle]
  Space Invader 2 [hap, Kevin Horton]
fmtowns_cd:
  The 4th Unit 5 - D-Again (Demo), Air Warrior V2.1L10, Ed Bogas' Music Machine, Ehon Writer - Denshi Ehon - Aesop World Dai-1-shuu,
  Gadget - Invention, Travel, & Adventure, GEdit Towns, HomeStudio V1.2L10, Hyper Address (HMB-106), Kanji Land 3-nen, Kid Pix Jr.,
  Kotoba Asobi - CDView HiP Catch, Lord of the Rings, Vol. I, Master CD - Install Model-you, My Fair Lady CAN III. Intermediate,
  New Horizon CD Learning System II - English Course 1 (FM Towns Marty version), Niko2,
  Oto to E no Deru Eigo Jisho No. 1 - Start with Words, The Queen of Duellist (HME-166A), Sargon V - World Class Chess,
  Software Contest Nyuusen Sakuhinshuu 1 (HMC-139), Software Contest Nyuusen Sakuhinshuu 1 (HMC-139B),
  Software Contest Nyuusen Sakuhinshuu 3, Virtuacall 2 [redump.org, r09]
fmtowns_flop:
  Ai Shimai - Futari no Kajitsu, Doukyuusei 2 Special Disk, Music Pro-Towns (1990-05-23), S. A. 2, Shangrlia 2 Special Disk,
  Super Ultra Mucchin Puripuri Cyborg Maririn DX [r09]
hp86_rom: HPIB service ROM, Service ROM [F.Ulivi]
ibm5150:
  Indiana Jones and the Last Crusade - The Action Game (5.25"), SimLife [ArcadeShadow]
  Conflict Europe, Conquest of Camelot - The Search for the Grail, Harpoon, Harpoon Battleset 2 - North Atlantic Convoys,
  The Software Toolworks Game Pack 3 [Flyers80, FakeShemp]
  Leisure Suit Larry Goes Looking for Love (In Several Wrong Places) [Gypsy Dave, FakeShemp]
  3-D FloorPlan Designer V2.0, Ad Lib Instrument Maker V1.51, Ad Lib Juke Box Registration Bonus Disk V1.51,
  Ad Lib Juke Box Registration Bonus Disk V1.62, Ad Lib Juke Box V1.5, Ad Lib Juke Box V1.6, Ad Lib Juke Box V1.64,
  Ad Lib Visual Composer V1.51, SYSGRATION Mouse Driver 7.03 (5.25"), SYSGRATION Mouse Driver 8.00 (3.5"),
  SYSGRATION Mouse Driver 8.00 (5.25") [Justin Kerk]
ibm5170:
  Rex Nebular and the Cosmic Gender-Bender, Space Quest I: Roger Wilco in the Sarien Encounter (VGA release) [ArcadeShadow]
  Jurassic Park [Flyers80, FakeShemp]
  Pepper's Adventures in Time [Gypsy Dave, FakeShemp]
itt3030: Master boot disk, System boot disk [Robbbert]
microvision: MicroBird, Tetris (8021 version), Tetris (TMS1100 version) [hap]
mm1_flop: Boot2 disk, Games disk, Games2 disk [Robbbert]
neogeo: Metal Slug 5 (bootleg) [TwistedTom]
pcd_flop: Lernprogramme, MS-DOS 2.11 boot disk, MS-DOS 3.1 boot disk, TDS diagnostics [Robbbert]
saitek_schess: Classical Style Super Strong [hap, bataais]
snes:
  Cooly Skunk (Jpn, Prototype), Edgar Rice Burroughs' Tarzan: Lord of the Jungle (Prototype) [Gaming Alexandria, ArcadeShadow]
  Rayman (early prototype), Spot Goes to Hollywood (prototype 19950307), Spot Goes to Hollywood (prototype 19950805) [ArcadeShadow]
sorcerer_cass: Kilopede (with sound), Starfighter [exidyboy, Robbbert]
sorcerer_flop: CP/M v.1.42/3 (set 2) [Robbbert]
svi318_cart: Music Mentor [Robbbert]
timex_cass:
  4K Race Refueled+, ACZ General Ledger 2000, AERCO 2068 Printer Driver V12, AERCO CP68 Printer Driver, Androids, Aritmetica,
  Artworx, Assalto A Embaixada, Astro Blaster (bootleg?), Auto Analyzer, Basic 64 Demo - TC 2048, Basic 64 Demo - TC 2068, Blam,
  Blind Alley, Britain Invaded, Budgeter, Capitalization Master, Checkbook Manager, Chess, Circuit Board Scramble, ColorPRINT,
  ColorTILE, Copy, Cozinheiro, Crazy Bugs, Crossfire, Cyber Zone, Demo (Keyboard Tutorial, Turtle Graphics, Home Accounting),
  Demonstra ao TC 2048, Desktop Publisher, Disassembler, Dragmaster, Financial Record Keeper, Flight Simulation, Frogger, Fun Golf,
  Formula 1, Guardian, Guerra estelar, Gulpman, Heroi, Home Improvement Planner, Horace & the Spiders, Horace Goes Skiing,
  Horacio e as Aranhas, Hot Z Disassembler v1.43, Hot Z Disassembler v1.84, Hot Z Disassembler v1.95, Hungry Horace,
  Interface RS232, Invasores Lunares, JRC Catalog 3, JazzoFire, Keyword v1, Keyword v5.0, Language Usage, Math Wizardry I,
  Math Wizardry II, Minesweeper, Motociclismo, Mscript, Mscript (rerelease), Multi-Draw 2068, Musicola, Omnicalc 2,
  Orcamento Domestico, Penetrator, Perigos Na Selva, Personal Home Finance, Personal Portfolio Manager, Pro Pinball, Pro-File 2068,
  Programa de a presentacao, Quadra-Chart, Relocatable AERCO Centronics Print Driver, Simple Roulette, Smart Terminal 1,
  Space Raiders, Speech Synthesizer, Spelling I, Spelling II, States & Capitals, Stock Market Simulation,
  Super Hot Z Disassembler v2.51, Tape Corrector, Tasword Two, TC 2048 Demonstracao, TC2048 Hi-Res Colour Demo, TechDraw Jr.,
  Timachine, Time Teacher I, Time-Gate, Timex TC2048 Hi-Colour Demo, Toolkit, The Trader Trilogy, Travel with Trashman,
  TS-2068 DEMO, Upload-2000, VU-3D, VU-Calc, VU-File, War in the East, Window Print 32, Window Print 64, Word Play I, Word Play II,
  Wordcross, The Worx, Zeal Disassembler, Zeus Assembler [World of Spectrum, Spectrum Computing, ICEknight]
vgmplay:
  The Berenstain Bears' Camping Adventure (GEN/MD), Loadstar (GEN/MD), Medal City (GEN/MD), MegaMind (GEN/MD), MegaRace (GEN/MD),
  Paddle Fighter (GEN/MD), Phantasy Star II Text Adventures (GEN/MD), Riddle Wired (GEN/MD), Robot Battler (GEN/MD),
  Slam City with Scottie Pippen (Sega CD) (GEN/MD), The Smurfs (GEN/MD), Space Harrier 32X (GEN/MD), Spirou (GEN/MD),
  Tintin in Tibet (GEN/MD), Waterworld (GEN/MD), X-Men - Mind Games (Beta) (32X) (GEN/MD), Yogi Bear's Cartoon Capers (GEN/MD),
  Zany Golf (GEN/MD) [Project2612, Tafoid]
vsmile_cart:
  Avventura nel Parco Alfabeto (Italy), Disney/Pixar Toy Story 2 - Operazione: Salvataggio di Woody! (Italy),
  Nickelodeon Spongebob - Un giorno da Spugna (Italy), Spider-Man & Friends - La Sfida del Dottor Ock (Italy),
  V.Smile Football Club (Italy) [tag2015]


Software list items promoted to working
---------------------------------------
fmtowns_cd:
  Angel [r09]
  Shamhat - The Holy Circlet, Suzaku [wiggy2k, r09]
fmtowns_flop: Music Pro-Towns (1989-08-28) [r09]


New NOT_WORKING software list additions
---------------------------------------
bbc_flop_torch: Graduate DFS, Graduate MS-DOS 2.11, Psion Xchange 1.24 [Nigel Barnes]
cd32: Heimdall 2 - Into The Hall Of Worlds, Jetstrike, Microcosm, Project-X and F17 Challenge, Universe [Guru]
fmtowns_cd: Ms. Detective File #1 - Iwami Ginzan Satsujin Jiken (FM Towns Marty version) [redump.org, r09]
ibm5150: Mouse Software Test/Demo [Justin Kerk]
leapfrog_didj_cart:
  Indiana Jones (USA), Nickelodeon Spongebob Squarepants - Fists of Foam (USA), Nicktoon Android Invasion (USA),
  Star Wars - The Clone Wars (USA) [TeamEurope]
mobigo_cart:
  Marvel Super Hero Squad - Sport Heroes (UK), Merida - Legende der Highlands (Germany), Scooby-Doo! - Mystery Town (UK)
  [TeamEurope]
n64: Viewpoint 2064 (Prototype) [Gaming Alexandria, Alexis B.]
pi_storyreader_cart:
  101 Dalmatiner (Germany), Arielle - Die Meerjungfrau (Germany), Bambi (Germany), Cinderella (Germany), Pinocchio (Germany),
  Schneewittchen und die Sieben Zwerge (Germany), Die Schoene und das Biest (Germany), Susi und STROLCH (Germany) [TeamEurope]
picno: Nontan to Issho Anime Stamp [TeamEurope]
tvgogo:
  4-in-1 (Flashcard Fishing, Break a Brick, Balloon Juggling, Penguin Maze) (US) [Sean Riddle, David Haywood, anonymous]
  Dodgeball (US) [Sean Riddle, David Haywood, Peter Wilhelmsen, anonymous]
vsmile_cart:
  Disney Cenerentola - I desideri magici di Cenerentola (Italy, rev. 1), Disney/Pixar Toy Story 3 (Italy),
  Disney/Pixar Wall-E (Italy) [tag2015]
vsmilem_cart:
  Disney La Maison de Mickey (France, Rev. 005), Marvel Spider-Man & ses amis - Missions Secretes (France),
  Mon Youtou tout fou! (France) [DisizDream]


Source Changes
--------------
-cpu/z180: Moved some internal registers out of the base class, and implemented software-selectable clock divider. [AJR]

-cpu/mcs96: Added N8097BH and P8798 variants, and changed some variants to use 16-bit buses. [AJR]

-cpu/upd78k updates: [AJR]
 * Fixed disassembly of DBNZ and MOV A,!addr16 instructions for uPD78K/III.
 * Fixed disassembly of SFR-mode read/modify/write instructions for uPD78K/I and uPD78K/II.

-atarist.cpp: Fixed the 68K side of ACIA serial communications (keyboard microcontroller is not fully cooperating yet). [AJR]

-acia6850: Fixed transmission of a spurious character following master reset. [AJR]

-machine/upd7001.cpp: Added NEC uPD7001 analog-to-digital converter device. [AJR]

-dgnalpha.cpp: Removed old hack to ignore first floppy drive controller interrupt (now prevents disk boot). [AJR]

-mpu4dealem.cpp: Adjusted v4dealem CRT controller clock to make refresh rate more reasonable. [AJR]

-cpu/h8500: Added Hitachi H8/500 disassembler and skeleton CPU device family. [AJR]

-pasopia7.cpp: Use CRT controller to help draw screen [AJR]

-pasopia.cpp: Added RS-232 serial interface. [AJR]

-bus/pasopia: Added Toshiba Pasopia PAC2 slot, with RAM, Kanji ROM and expander options. [AJR]
 * pasopia.cpp, pasopia.cpp: Replaced fixed expansions with PAC2 slots.

-machine/m3002.cpp: Added M3002 real-time clock device. [AJR]

-europc.cpp: Fixed disk error, and replaced real-time clock implementation in driver with M3002 device. [AJR]

-machine/mos6551.cpp: Clear interrupt request output on reset. [AJR]

-Made debugger interpret numerical literals in expressions as octal for applicable address spaces in disassembly views. [AJR]

-machine/am9517a.cpp: Assert EOP during final DMA transfer, rather than after. [AJR]

-c64_cart.xml: Worked around error messages for unsupported cartridge types. [AJR]

-cpu/z8000 updates: [AJR]
 * Corrected width of Z8002 I/O space to 8 bits.
 * Forced sequence points after functions with side effects when calculating operands for certain instruction modes.
 * Implemented byte smearing for memory and I/O writes.
 * Improved misaligned word I/O implementation.

-machine/6883sam.cpp: Replaced custom banking with conventional address spaces. [AJR]

-bus/isa: Corrected CRT controller type for Olivetti M24 CGA card. [AJR]

-badlands.cpp: Use generic latch devices for CPU communications, added mirroring to 6502 memory map, and cleaned up handlers. [AJR]

-debugger/osx: Avoid crash if a non-existent disassembly or memory view source is selected. [AJR]

-cyberbal.cpp: Encapsulated Atari SAC sound board emulation as a device derived from the Atari JSA sound board device. [AJR]

-atarisy1.cpp, atarisy2.cpp, gauntlet.cpp: Cleaned up and modernized code. [AJR]
 * Replaced Atari sound communication device with generic latches, and improved handling of programmed sound resets.
 * Added the other 74LS259 addressable latch to gauntlet.cpp.
 * Corrected watchdog timeouts for all three drivers.

-cpu/m68000: Corrected 68010 DBcc timings. [AJR]

-atarisy1.cpp: Removed TMS5220C and VIA from machine configuration for marble and peterpak. [AJR]

-atarisy1.cpp: Marked indytemp as having imperfect sound and noted regression. [AJR]

-malzak.cpp updates: [Angelo Salese]
 * Added default non-volatile RAM content to Malzak II so that it boots as intended.
 * Converted playfield drawing to use a tilemap, improved playfield colors, and implemented playfield tile banking.
 * Added base mixing and priority.

-segas32.cpp: Truncate background layer color base to nine bits - fixes Arabian Fight and Soreike Kokology erratic black pens.
 [Angelo Salese]

-tmnt.cpp: Fixed Golfing Greats (Japan) inputs. [Angelo Salese]

-konamigx.cpp updates: [Angelo Salese]
 * Fixed Golfing Greats 2 inputs, re-worked DIP switches for all games, and added DIP switch locations.
 * Fixed right monitor sprite DMA with type 3/4 protection, and fixed right screen protection in Rushing Heroes and Run & Gun 2.
   - Dual-monitor 4-player mode now works, and is enabled by default.

-pcktgal.cpp: Reset MSM5205 on changing sound bank (fixes annoying whistling sounds). [Angelo Salese]

-renegade.cpp updates: [Angelo Salese]
 * Fixed vertical sprite alignment.
 * Hooked up interrupt acknowledgement and corrected interrupt routing.
 * Hooked up coin counters.

-opwolf.cpp: Corrected Operation Wolf palette format according to schematics, and verified against PCB. [Bryan McPhail]

-cave.cpp updates: [cam900]
 * Implemented sprite position scale register.
 * Fixed ppsatan tilemap offsets.
 * Implemented sprite limits.
 * Added logging for unimplemented video register writes and expanded notes.

-atarist.cpp: Corrected DMA sound frequency calculation. [cam900]

-decbac06.cpp updates: [cam900]
 * Fixed flags map handling.
 * Added callback for system-specific tile attribute formats.
 * Refactored pen masking to use set_transmask.

-dec0.cpp: Cleaned up code. [cam900]

-madmotor.cpp: Simplified graphics layouts. [cam900]

-psikyo.cpp: Simplified dynamic tilemap size handling, converted drawing to use 32-bit RGB bitmap, and cleaned up code. [cam900]

-deco16ic.cpp: Fixed transparency handling with custom drawing, and added a callback for tile info and 8-bit mixing. [cam900]

-cninja.cpp updates: [cam900]
 * Fixed robocop2 8-bit tilemap drawing.
 * Fixed sound routing for games with mono output, and removed unnecessary graphics layouts. [cam900]

-darkseal.cpp: Cleaned up graphics decoding layouts. [cam900]

-sshangha.cpp updates: Cleaned up graphics decoding layouts, corrected palette size, and changed to mono sound output. [cam900]

-mirage.cpp: Simplified sprite drawing using priority callback. [cam900]

-snes.cpp: Split S-SMP and S-DSP emulation into separate devices, and cleaned up interfaces. [cam900]

-nmk16.cpp: Implemented vertical scrolling used by sabotenb, added timer for sprite DMA, and fixed sabotenb sprite delay. [cam900]

-ddealer.cpp, nmk16.cpp, powerins.cpp, quizpani.cpp: Use set_scrolldx for tilemap offsets. [cam900]

-ddealer.cpp, patapata.cpp: Use generic graphics layouts. [cam900]

-quizpani.cpp: Fixed visible area. [cam900]

-rpunch.cpp: Converted sprite drawing to single pass with priority, and cleaned up code. [cam900]

-powerins.cpp: Converted to derived class of nmk16_state and cleaned up code. [cam900]

-machine/tc009xlvc.cpp: Added support for TC0090LVC variant, and converted taito_l.cpp to use new device. [cam900]

-dfruit.cpp, lastbank.cpp: Removed unnecessary trampolines. [cam900]

-cpu/i386, machine/i8087.cpp: Handle aliases for fstp st(i) instruction. [Carl]

-pcxt.cpp: Added support for filetto voice output. [Carl]

-cpu/nec: Added support 8080 emulation mode. [Carl]

-mw8080bw.cpp: Added netlist-based audio for gunfight. [Colin Howell]

-video/apple2.cpp: Fixed DHGR shift - NTSC artifact colors now work with HLSL (GitHub #6308). [Colin Howell, R. Belmont]

-netlist library updates: [Couriersud]
 * Added pre-compiled static solvers (must be manually rebuilt when netlists are updated).
 * Improved performance of time step calculation.

-bus/abcbus updates: [Curt Coder]
 * Fixed default DIP switch settings for the Luxor 4105 SASI interface.
 * Added a ROM to the Xebec S1410.
 * Fixed the Luxor 55 21056 SASI interface (for ABC 850/852/856 hard drives).

-abc1600.cpp: Refactored to use modern Z8530 SCC device, and fixed floppy DMA. [Curt Coder]

-abc80x.cpp updates: [Curt Coder]
 * Fixed abc802 M1 opcode fetch.
 * Fixed memory banking for abc800c, abc800m and abc802.
 * Fixed HR graphics for abc800c and abc800m.

-nes_vt.cpp: Started moving SoC functionality out of the driver to devices. [David Haywood]

-triviaquiz.cpp: Hooked up question ROMs. [Dirk Best]

-cpu/m6805: Added support for MC68HC705C8A memory configuration, and made 68HC05 NCOP reset check that NCOP is enabled. [Dirk Best]

-mpu4dealem.cpp: Fixed tile background colors, made drawing use tilemaps, and added raw screen timing parameters. [Dirk Best]

-apple2gs.cpp: Fix missing 128KiB RAM - ramsize option now configures fast RAM size (GitHub #6465). [gorlik, R. Belmont]

-emu/diexec.cpp: Don't clear the input event queue on reset. [hackbar]

-cpu/mb88xx: Fixed interrupt handling. [hackbar]

-audio/namco52.cpp, audio/namco54.cpp, machine/namco50.cpp, machine/namco53.cpp: Hooked up reset inputs. [hackbar]

-machine/namco06.cpp: Improved emulation of NMI and chip select outputs. [hackbar]

-machine/namco51.cpp: Replaced simulation with emulation using internal CPU program. [hackbar]

-sstrangr.cpp: Added preliminary sound output using Space Invaders samples. [Ivan Vangelista]

-jedutil: Added support for PAL22V10 devices. [Kevin Eshbach]

-wiping.cpp: Updated ROM labels for rugrats. [Kevin Eshbach]

-yunsung8.cpp: Added placeholders for undumped secured PALs in magix and magixb. [Kevin Eshbach]

-buggychl.cpp, changela.cpp, cischeat.cpp, polepos.cpp, segaybd.cpp, tx1.cpp:
 Worked around the same input being assigned to a pedal and gear shift by default. [MASH]

-machine/74543.cpp: Added 74543 octal registered transceiver device. [Michael Zapf]

-machine/74161.cpp: Fixed state transitions for some corner cases and made terminal count output asynchronous. [Michael Zapf]

-machine/bq4847.cpp, machine/bq48x2.cpp: Added Benchmarq BQ4847, BQ4842 and BQ4542 real-time clock devices. [Michael Zapf]

-bus/ti99/peb: Added PGRAM battery-backed RAM card, fixed IDE adapter card, and made IDE card's real-time clock type configurable.
 [Michael Zapf]

-Refactored AVI/MNG recording code to move it out of emu/video.cpp and reduce duplication. [Nathan Woods]

-luaengine.cpp: Added optional parameter to video::begin_recording() function for specifying video format. [Nathan Woods]

-unidasm: Added generic disassembler for Microchip PIC16 microcontroller family with extended instructions. [O. Galibert]

-cpu/s2650: Made interrupt acknowledge handler supply vector, and eliminated set_input_line_and_vector and HOLD_LINE. [O. Galibert]

-cpu/upd177x: Added disassembler for NEC uPD1771C and related processors. [O. Galibert]

-sound/ks0164.cpp: Added preliminary sample playback. [O. Galibert]

-machine/cxd1185.cpp: Added Sony CXD1185 SCSI 1 Protocol Controller device. [Patrick Mackinlay]

-machine/dmac_0266.cpp: Added Sony 0266 DMA Controller gate array device. [Patrick Mackinlay]

-news_r3k.cpp: Implemented graphics. [Patrick Mackinlay]

-machine/icm7170.cpp: Added ICM7170 real-time clock device (used by wxstar4k). [R. Belmont]

-model1.cpp: Improved swa analog throttle range. [R. Belmont]

-font_osx.cpp: Use Arial Unicode MS as the default font (fixes missing glyphs in many layouts). [R. Belmont]

-video/apple2.cpp: Fixed apple2gs fill mode behavior when no previous color is set. [R. Belmont]

-formats/h8_cas.cpp: Added H8T tape format (for Heathkit H8 software). [Robbbert]

-pasogo.xml: Corrected cartridge ROM hashes. [Robbbert]

-lordgun.cpp: Added default EEPROM content for lordgun. [Robbbert]

-ibmpcjr_cart.xml: Added disk images to lotus123 added usage instructions in a comment. [Robbbert]

-advision.cpp: Fixed some bugs exposed by the Code Red demo. [Robbbert]

-vgmplay.cpp updates: [Ryan Holtz]
 * Added multiple spectrogram visualization modes.
 * Fixed DC offsets occurring when chips are not used.
 * Added rate controls and a hold button.

-cps1.cpp: Added new PAL dumps. [TwistedTom]
 * Dumped remaining B board PALs for kodja and knightsja. [Bonky0013]
 * Dumped remaining D board PAL for wof and clones. [hammy]
 * Dumped remaining B board PAL for willowj. [Layer]
 * Dumped remaining B board PAL for cworld2j. [neocps1]
 * Dumped remaining B board PAL for kod and clones and dumped unprotected PALs for Street Fighter II Mstreet bootlegs. [Porchy]
 * Dumped remaining B board PAL for punisher and clones. [Wulfman]

-cps1.cpp updates: [TwistedTom]
 * Implemented B board ID register 03.
 * Added demo sounds DIP switch for ghouls.
 * Added notes about how /INT2 is generated and connected.
 * Added notes on pang3 B board and security chip.

-video/cps1.cpp: Added and updated mappers based on PAL equations. [TwistedTom]
 * Added CD63B, PS63B, MB63B, CP1B1F, TK24B1, WL22B, S222B, YI22B, MS22B, CK22B, KD22B, KR22B, VA24B and GBPR2 mappers.
 * Corrected KNM10B, Q522B and TN2292 mappers according to PAL equations.

-cps1bl_pic.cpp updates: [TwistedTom]
 * Improved dinopic sprite rendering (fixes missing tiles when character jumps and flips).
 * Disabled brightness control for bootlegs that don't have the necessary components populated.
 * Improved wofpic emulation, making the game playable with some graphical issues.
 * Simplified wofpic graphics ROM loading.

-fcrash.cpp updates: [TwistedTom]
 * Simplified wofabl graphics ROM loading.
 * Removed EEPROM device from sgyxz and wofabl (these games use DIP switches for configuration).
 * Fixed sgyxz and wofabl player 3 inputs.
 * Added some DIP switch settings for sgyxz and wofabl.
 * Added hard-coded layer priority masks for sgyxz.

-gstriker.cpp: Added PAL dumps for vgoalsoc/twcup94 and clones. [TwistedTom]

-pcktgal.cpp: Added PAL dumps for pcktgalb. [TwistedTom]

-wc90b.cpp: Added PAL dumps from twcup90b2 board to all similar bootlegs. [TwistedTom]

-Various core clean-ups: [Vas Crabb]
 * util/strformat.h: Centralised instantiation of more of the formatting engine.
 * emu/fileio.cpp: Added support for iterating arbitrary numbers of path components to path_iterator and emu_file.
 * emu/romload.cpp: Made ROM loading code more straightforward.
 * emu/romload.cpp: Made software loading search the software path before searching the device path.
 * emu/romload.cpp: Made software loading correctly scan parent software for identical CHD files with different names.
 * emu/diimage.cpp: Refactored to share code for building a software search path with ROM loading and auditing.
 * emu/softlist_dev.cpp: Added validation for software parts and data areas.
 * Fixed multiple hangs when software parent relationships form a loop.
 * Re-implemented SHA-1, replacing multiple third-party implementations.

-sstrangr.cpp: Measured CPU clock frequency. [Andrew Welburn]

-8080bw.cpp: Updated notes on Space Invaders PCB arrangements. [Andrew Welburn]

-segas32.cpp: Re-dumped radr sound ROMs. [Arzeno Fabrice]

-oneshot.cpp: Corrected ROM labels and PCB locations for the maddonna. [Brian Troha, The Dumping Union]

-vamphalf.cpp: Added idle-skipping speed-up hack for jmpbreaka. [Brian Troha]

-carrera.cpp: Dumped the bipolar PROM for bsebman and verified it matches the one from carrera. [caius]

-gsword.cpp: Decapped, dumped and hooked up AA-017 microcontroller for gsword - fixes coin handling.
 [Caps0ff, *=/STARRIDER\=*, EdHunter, developer12s, Belegdol, sadikyo, f205v, Vas Crabb]

-model2.cpp: Fixed airwlkrs ROM loading - fixes polygons and textures. [ElSemi]

-sorcerer.cpp: Added ESAG 1.3/B BIOS to sorcererd. [exidyboy]

-fantland.cpp: Improved parts list, measured clock frequencies and added two SN76489AN sound chips for wheelrun. [f205v]

-taitof2.cpp: Corrected clock frequencies and ROM labels for driveout. [f205v]

-megasys1.cpp: Improved documentation for kickoffb. [f205v]

-shisen.cpp: Verified clock frequencies, and corrected ROM labels and added placeholders for undumped PALs for sichuan2. [f205v]

-n64.xml: Added cartridge PCB documentation for 10 entries. [FakeShemp]

-docs: Disabled "smart" substitution of typographical quotes. [Firehawke]

-sound/disc_flt.hxx: Improved documentation for DISCRETE_FILTER1 and DISCRETE_FILTER2. [Frank Palazzolo]

-2mindril.cpp, 3x3puzzl.cpp, alpha68k.cpp, alpha68k_n.cpp, crystal.cpp, lsasquad.cpp, pturn.cpp nycaptor.cpp, timeplt.cpp:
 Added DIP switch locations. [Guru]

-39in1.cpp: Added notes about expected boot sequence and unimplemented DIP switches. [Guru]

-sstrangr.cpp: Added DIP switch locations, ASCII PCB layouts and additional notes. [Guru]

-model2.cpp: Re-dumped airwlkrs data ROMs. [Guru]

-btime.cpp: Added DIP switch locations, verified DIP switch settings, and fixed DIP switch settings for ptennis and clone. [Guru]

-decocass.cpp: Verified cptennis DIP switch settings against documentation. [Guru]

-snk.cpp: Added PCB layouts and notes, and updated DIP switch locations and ROM labels. [Guru]

-terracre.cpp: Added DIP switch locations and corrected ROM labels. [Guru]

-route16.cpp, shaolins.cpp: Added DIP switch locations, added PCB layouts and updated notes. [Guru]

-shadfrce.cpp, shangkid.cpp, taitosj.cpp: Verified DIP switch settings and added DIP switch locations. [Guru]

-cd32.xml: Re-dumped atr. [Guru]

-homerun.cpp: Updated notes. [Guru]

-cps1bl_pic.cpp: Re-dumped wofpic graphics ROMs. [hammy, TwistedTom]

-snk.cpp: Dumped two PROMs for victroad and added some PROM labels. [Joe Magiera, The Dumping Union]

-m52.cpp: Added missing PROM dump to original Moon Patrol sets. [Joe Magiera, The Dumping Union]

-Updated hiscore.dat for latest changes. [Leezer]

-naomi.cpp: Re-dumped ngdup23a GDS-0023A (previous dump had bad audio track). [MajorPBX]

-vgmplay.xml: Updated 18 entries. [Project2612, Tafoid]

-fmtowns_cd.xml: Updated twenty entries to current CHD format. [r09]
 * aircmb2s, beast2, dangel, dorbestj, dorse93, fbas1120, gforce2, hyprocea, oasyswin, psydet1, psydet2, psydet3, psydet4, psydetf1,
    psydetf2, pulirula, simant, townsmg1, tss2110a, win31l11

-fmtowns_cd.xml: Added all known serial numbers for entries. [r09]

-fmtowns_flop.xml: Replaced msdos62 disk images with images from the master CD. [r09]

-fmtowns_cd.xml: Switched to dumps with proper track indexes and offset correction for 29 entries. [redump.org, r09]
 * adtennis, alice, asu120ex, awesome, classrod, fractal, fsc10, fsc11, fsc6, fsc7, fsc9, fsc9, fwc2, fwc3, hypraddro, infest,
    links386, loom, oshacoo2, psydet5, sangoku3, softcon2, sotsu93, sshangh, takamiza, tdf, townsmg2, tss1130, viewpoin

-at.cpp udpates: [rfka01]
 * Added neat BIOS option to n286.
 * Added quadtel BIOS option to ht12a.
 * Added d674v320r304 and d620 BIOS options to pcd4x.

-europc.cpp: Added v1.04 BIOS option to euroxt. [rfka01]

-olivpc1.cpp: Added rev106 and rev107 BIOS options to olivpc1 and expanded notes. [rfka01]

-sunplus_unsp20soc.cpp: Re-dumped jak_hmhsm, and added Flash chip pinout. [Sean Riddle]

-kikikai.cpp: Dumped MC68705 microcontroller for kicknrun. [Sean Riddle]

-dec8.cpp: Dumped the PROM from an original Cobra-Command PCB. [Stefan Lindberg]

-equites.cpp: Dumped Alpha 8505 microcontroller from bngotime (also used in place of Alpha 8304). [TeamEurope]

-ibm5170.xml: Marked disk images with WinImage as bad dumps. [telanus]

-megadriv.xml: Fixed transliteration of the Japanese Streets of Rage titles. [xinyingho]

-c64_cass.xml: Processed tape images with tapclean, and added credits for dumps. [Zoe Blade]
